@ECHO OFF
SET PROGPATH=C:\Programme\TVgenial
SET TMPFILE=%PROGPATH%\tmpfile
SET TMRFILE=%PROGPATH%\tmrfile

IF "%1" == "NEWT" GOTO NEWT
IF "%1" == "DELT" GOTO DELT
IF "%1" == "CHAN" GOTO CHAN


ECHO USAGE: %0 [NEWT,DELT,CHAN] (Options)
ECHO
ECHO  NEWT Options:
ECHO        - Channel
ECHO      - Day
ECHO      - Starttime
ECHO      - Stoptime
ECHO      - Timername
ECHO      - Summary
ECHO
ECHO  DELT Options:
ECHO        - Channel
ECHO      - Day
ECHO      - Starttime
ECHO      - Stoptime
ECHO
ECHO CHAN Options:
ECHO      - Channel
GOTO ENDE


:NEWT
ECHO %%A
  FOR /F "TOKENS=1-5 DELIMS=&:_" %%A IN ("%~6") DO (
    IF NOT "%%A" == "" SET TITLE=%%A
    IF NOT "%%B" == "" SET TITLE=%%A %%B
    IF NOT "%%C" == "" SET TITLE=%%A %%B %%C
    IF NOT "%%D" == "" SET TITLE=%%A %%B %%C %%D
    IF NOT "%%E" == "" SET TITLE=%%A %%B %%C %%D %%E
  )

  ECHO NEWT 1:%2:%3:%4:%5:99:99:%TITLE%:%7 > %TMPFILE%
  ECHO MESG Timer fuer %TITLE% am %3 um %4 bis %5 programiert >> %TMPFILE%
  ECHO QUIT >> %TMPFILE%
  %PROGPATH%\nc 192.168.100.11 2001 < %TMPFILE% >> %PROGPATH%\log.txt
  DEL %TMPFILE%
  GOTO ENDE

:DELT

  ECHO LSTT > %TMPFILE%
  ECHO QUIT >> %TMPFILE%
  %PROGPATH%\nc 192.168.100.11 2001 < %TMPFILE% > %TMRFILE%
        DEL %TMPFILE%
  FOR /F "TOKENS=1-9 DELIMS=:" %%A IN (%TMRFILE%) DO (
    FOR /F "TOKENS=2 DELIMS=- " %%K IN ("%%A") DO (
      IF "%2" == "%%B" (
        IF "%3" == "%%C" (
          IF "%4" == "%%D" (
            IF "%5" == "%%E" (
              ECHO DELT %%K > %TMPFILE%
              ECHO MESG Timer %%K geloescht >> %TMPFILE%
              ECHO QUIT >> %TMPFILE%
              %PROGPATH%\nc 192.168.100.11 2001 < %TMPFILE% >> %PROGPATH%\log.txt
              DEL %TMPFILE%
            )
          )
        )
      )
    )
  )
  DEL %TMRFILE%
  GOTO ENDE

:CHAN
  ECHO CHAN %2 > %TMPFILE%
  ECHO MESG Schalte um auf Programm %2 >> %TMPFILE%
  ECHO QUIT >> %TMPFILE%
  %PROGPATH%\nc 192.168.100.11 2001 < %TMPFILE% >> %PROGPATH%\log.txt
  DEL %TMPFILE%
  GOTO ENDE
:ENDE